Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jepexamples.diagnostics
Class SpeedTest.TabOutputter

    java.lang.Object
      com.singularsys.jepexamples.diagnostics.SpeedTest.Outputter
          com.singularsys.jepexamples.diagnostics.SpeedTest.TabOutputter

Enclosing class:
  SpeedTest

    public static class SpeedTest.TabOutputter

extends SpeedTest.Outputter

Print output tab separated. One line of headers One line per test One line of totals

Constructor Summary
`SpeedTest.TabOutputter()`

Method Summary
`void` | `printFooter(SpeedTest st, long[] totalTimes)`
`void` | `printHeader(SpeedTest st)`
`void` | `printOutput(SpeedTest st, java.lang.String[] eqns, java.lang.String[] varNames, long[] times)`
`void` | `printOutput(SpeedTest st, java.lang.String eqn, java.lang.String[] varNames, long[] times)`

Methods inherited from class com.singularsys.jepexamples.diagnostics.SpeedTest.Outputter
`printRatios`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpeedTest.TabOutputter

    public SpeedTest.TabOutputter()

Method Detail

### printOutput

    public void printOutput(SpeedTest st,
                            java.lang.String eqn,
                            java.lang.String[] varNames,
                            long[] times)

  Overrides:
    `printOutput` in class `SpeedTest.Outputter`

### printOutput

    public void printOutput(SpeedTest st,
                            java.lang.String[] eqns,
                            java.lang.String[] varNames,
                            long[] times)

  Overrides:
    `printOutput` in class `SpeedTest.Outputter`

### printFooter

    public void printFooter(SpeedTest st,
                            long[] totalTimes)

  Overrides:
    `printFooter` in class `SpeedTest.Outputter`

### printHeader

    public void printHeader(SpeedTest st)

  Overrides:
    `printHeader` in class `SpeedTest.Outputter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep